| Home | Libraries | People | FAQ | More

## Type definition knuth_b

knuth_b

## Synopsis

    // In header: <boost/random/shuffle_order.hpp>

    typedef shuffle_order_engine< minstd_rand0, 256 > knuth_b;

## Description

The specialization `knuth_b` is specified by the C++ standard. It is described in

> "The Art of Computer Programming, Second Edition, Volume 2, Seminumerical Algorithms", Donald Knuth, Addison-Wesley, 1981.